.layout {
    min-width: var(--layout-desktop-min-width);

    /* TODO: убрать это когда разберусь с меню */
    overflow: hidden;
}

.form {
}

.logo {
    position: relative;
}
.logo__image,
.logo__domain {
    transition: opacity 200ms linear 0s;
}
.logo__image:hover,
.logo__domain:hover {
    opacity: 0.8;
}

.logo_telescope .logo__image {
    width: 76px;
    height: 76px;
    background: scroll no-repeat url('img/logo.svg') center center;
}
.logo_telescope .logo__domain {
    margin-top: 9px; /* высота хвоста буквы p в Telescope1.ru */
    width: 151px;
    height: 76px;
    background: scroll no-repeat url('img/logo-domain.svg') center 10px;
    position: relative;
}
.logo_telescope .logo__domain:after {
    font-family: Arial, Tahoma, sans-serif;
    display: block;
    content: 'наблюдательная оптика';
    color: var(--color-text-default);
    font-style: italic;
    position: absolute;
    bottom: 13px;
}

.logo__domain_small {
    width: 94px;
    height: 20px;
    background: scroll no-repeat url('img/logo-small.svg') left top;
}

/* New year */
.logo_new-year .logo__image {
    width: 90px;
    height: 90px;
    background: scroll no-repeat url('img/logo-ny.svg') center center;
    background-size: contain;
}
.logo_new-year .logo__domain {
    width: 151px;
    height: 76px;
    background: scroll no-repeat url('img/logo-domain.svg') center 10px;
    position: relative;
}
.logo_new-year .logo__domain:after {
    font-family: Arial, Tahoma, sans-serif;
    display: block;
    content: 'наблюдательная оптика';
    color: var(--color-text-default);
    font-style: italic;
    position: absolute;
    bottom: 13px;
}

/* Discover1 */
.logo_discover {
    left: 15px;
}
.logo_discover .logo__image {
    width: 220px;
    height: 48px;
    background: scroll no-repeat url('img/logo-discover1.svg') center center;
}
.logo_discover .logo__domain {
    display: none;
}

/* Pulsar */
.logo_pulsar {
    width: 230px;
    height: 80px;
}
.logo_pulsar .logo__image {
    width: 230px;
    height: 48px;
    background: scroll no-repeat url('img/logo-pulsar.svg') left top;
    position: absolute;
    top: 0;
    right: 0;
}
.logo_pulsar .logo__domain {
    position: absolute;
    top: 40px;
    right: 0;
}
.logo_pulsar:after {
    font-family: Arial, Tahoma, sans-serif;
    display: block;
    content: 'официальный дилер Pulsar';
    color: var(--color-text-default);
    font-style: italic;
    position: absolute;
    right: 0;
    bottom: 0;
}

/* iRay */
.logo_iray {
    width: 150px;
    height: 85px;
}
.logo_iray .logo__image {
    width: 104px;
    height: 40px;
    background: scroll no-repeat url('img/logo-iray.svg') left top;
    position: absolute;
    top: 0;
    left: 10px;
}
.logo_iray .logo__domain {
    position: absolute;
    top: 40px;
    right: 0;
}
.logo_iray:after {
    position: absolute;
    left: 0;
    bottom: 0;
    font-family: Arial, Tahoma, sans-serif;
    display: block;
    content: 'официальный дилер iRay';
    color: var(--color-text-default);
    font-style: italic;
}

/* Nocpix */
.logo_nocpix {
    width: 150px;
    height: 85px;
}
.logo_nocpix .logo__image {
    width: 152px;
    height: 34px;
    background: scroll no-repeat url('img/logo-nocpix.svg') left top;
    background-position: center center;
    position: absolute;
    top: 2px;
    left: 0;
}
.logo_nocpix .logo__domain {
    position: absolute;
    top: 40px;
    right: 0;
}
.logo_nocpix:after {
    position: absolute;
    left: 0;
    bottom: 0;
    font-family: Arial, Tahoma, sans-serif;
    display: block;
    content: 'официальный дилер Nocpix';
    color: var(--color-text-default);
    font-style: italic;
    white-space: nowrap;
}

/* Holosun */
.logo_holosun {
    width: 220px;
    height: 80px;
}
.logo_holosun .logo__image {
    width: 160px;
    height: 34px;
    background: scroll no-repeat url('img/logo-holosun.svg') left top;
    position: absolute;
    top: 0;
    left: 10px;
}
.logo_holosun .logo__domain {
    position: absolute;
    top: 40px;
    right: 20px;
}
.logo_holosun:after {
    position: absolute;
    right: 0;
    bottom: 0;
    font-family: Arial, Tahoma, sans-serif;
    display: block;
    content: 'официальный дилер Holosun';
    color: var(--color-text-default);
    font-style: italic;
}

/* Meade */
.logo_meade {
    width: 220px;
    height: 80px;
}
.logo_meade .logo__image {
    width: 180px;
    height: 38px;
    background: scroll no-repeat url('img/logo-meade.svg') left top;
    position: absolute;
    top: 0;
    left: 10px;
}
.logo_meade .logo__domain {
    position: absolute;
    top: 40px;
    right: 20px;
}
.logo_meade:after {
    position: absolute;
    right: 0;
    bottom: 0;
    font-family: Arial, Tahoma, sans-serif;
    display: block;
    content: 'официальный дилер Meade';
    color: var(--color-text-default);
    font-style: italic;
}

/* Vector Optics */
.logo_vector-optics {
    width: 220px;
    height: 80px;
}
.logo_vector-optics .logo__image {
    width: 185px;
    height: 18px;
    background: scroll no-repeat url('img/logo-vector-optics.svg') left top;
    background-size: contain;
    position: absolute;
    top: 10px;
    left: 10px;
}
.logo_vector-optics .logo__domain {
    position: absolute;
    top: 40px;
    right: 20px;
}
.logo_vector-optics:after {
    position: absolute;
    right: 0;
    bottom: 0;
    font-family: Arial, Tahoma, sans-serif;
    display: block;
    content: 'официальный дилер Vector Optics';
    color: var(--color-text-default);
    font-style: italic;
}

.menu {
    display: flex;
    font-size: 1em;
    background-color: var(--color-content-bg);
}
.menu__item {
    background: url('img/arrow-down.svg') scroll no-repeat center 27px;
    background-size: 6px 4px;
    position: relative;
    flex-grow: 1;
    cursor: pointer;
}
.menu_help .menu__item {
    background-image: none;
}
.menu__item:hover, .menu__item_open
{
    background-color: var(--color-menu-open-bg);
}

.menu__sep {
    max-width: 1px;
    width: 1px;
    height: 40px;
    background: var(--color-content-separator);
    vertical-align: top;
    min-width: auto;
}
.menu__link,
.menu__label
{
    font-size: 1.1em;
    text-decoration: none;
    display: block;
    width: 100%;
    line-height: 30px;
    text-align: center;
    box-sizing: border-box;
    color: var(--color-menu-text);
}
.menu__item:hover .menu__link,
.menu__item:hover .menu__label,
.menu__item_open .menu__link,
.menu__item_open .menu__label
{
    color: var(--color-menu-open-text);
}
.menu_help .menu__link,
.menu_help .menu__label {
    text-transform: uppercase;
    font-weight: bold;
    line-height: 40px;
}

.menu__sub {
    visibility: hidden;
    opacity: 0;

    padding-bottom: 10px;
    border-bottom: 5px solid var(--color-brand-bg);
    transition: visibility 0.3s ease, opacity 0.3s ease 0s;
    clear: both;
    position: absolute;
    top: 40px;
    left: 0;
    background: var(--bg-menu-sub-1);
    padding-top: 10px;
    z-index: 9150;
}
.menu__item_open>.menu__sub,
.menu__sub-item_open>.menu__sub {
    visibility: visible;
    opacity: 1;
}
.menu__sub-item_important {
    background-color: var(--bg-menu-important);
}
.menu__sub-item_open,
.menu__sub-item:hover
{
    background-color: var(--color-menu-sub-open-bg);
}
.menu__sub-link, .menu__sub-label {
    color: var(--color-menu-text);
    font-size: 1.1em;
    display: block;
    padding: 7px 10px;
    text-decoration: none;
    white-space: nowrap;
}
.menu__sub-item:hover>.menu__sub-link,
.menu__sub-item:hover>.menu__sub-label,
.menu__sub-item_open>.menu__sub-link,
.menu__sub-item_open>.menu__sub-label
{
    color: var(--color-menu-open-text);
}
.menu__sub-item_container {
    background-image: url('img/arrow-right-white.svg');
    background-attachment: scroll;
    background-repeat: no-repeat;
    background-position: 95% center;
    background-size: 4px 6px;
    position: relative;
}
.menu__sub-item_container .menu__sub-link {
    padding-right: 20px;
}

.menu__sub .menu__sub {
    padding-top: 0;
    top: 0px;
    left: 100%;
    background: var(--bg-menu-sub-2);
}
.menu__sub-item_hor-sep {
    content: '';
    display: block;
    margin: 5px 10px;
    height: 1px;
    background-color: var(--color-content-separator)!important;
}

/*
 * Меню помощи в выборе
 */
/* TODO: сделать более универсальное решение */
.menu_help {
    font-family: 'PT Sans';
    font-weight: bold;
}
.menu_help .menu__sub {
    border-bottom: none;
    padding-bottom: 0;
    padding-top: 0;
}
.menu_help .menu__sub-item:first-child {
    border-top: 1px solid var(--color-content-separator);
}
.menu_help .menu__sub-item {
    border-bottom: 1px solid var(--color-content-separator);
    border-right: 1px solid var(--color-content-separator);
    border-left: 1px solid var(--color-content-separator);
}
.menu_help .menu__sub-item_container {
    background-image: url('img/arrow-right.svg');
}
.menu_help .menu__sub-item_container:hover,
.menu_help .menu__sub-item_container.menu__sub-item_open {
    background-image: url('img/arrow-right-white.svg');
}

.site-search__results {
    display: none;
    position: absolute;
    width: 300px;
    text-align: left;
    max-height: 400px;
    background-color: var(--color-content-bg);
}

.header {
    max-height: 165px;
    height: 165px;
    margin-bottom: -15px;
    background: var(--color-content-bg);
    color: var(--color-text-default);
}
.header_help {
    max-height: 150px;
    height: 150px;
    margin-bottom: 20px;
}
.header__inner {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    height: 105px;
    padding: 0 15px;
    background: var(--bg-header-glow);
}
.header__links {
    padding: 25px 0;
    display: flex;
    gap: 4px;
    align-items: center;
}
.header__links_help {
    padding: 0;
    gap: 20px;
}
.header__sep {
    background-color: var(--color-content-separator);
    min-height: 75%;
    width: 1px;
}
.header__link {
    text-align: center;
    white-space: nowrap;
    background-color: var(--color-underlay-bg);
    color: var(--color-underlay-text);
}
.header__link_colored {
    background: var(--color-info-bg);
    color: var(--color-info-text);
}
.header__link_important {
    background: var(--color-alert-bg);
    color: var(--color-alert-text);
}
.header__link_with-icon {
    display: flex;
    flex-flow: row nowrap;
    gap: 0.4em;
}

.header__cell_role_location,
.header__cell_role_contact {
    display: flex;
    flex-flow: column nowrap;
    gap: 10px;
    align-items: flex-end;
}

.header__cell_role_logo .logo_pulsar {
    margin-left: 30px;
}
.header__cell_role_logo .logo_iray {
    margin-left: 40px;
}
.header__cell_role_logo .logo_nocpix {
    margin-left: 40px;
}
.header__cell_role_logo .logo_holosun {
    margin-left: 40px;
}
.header__cell_role_logo .logo_meade {
    margin-left: 40px;
}
.header__cell_role_logo .logo_vector-optics {
    margin-left: 40px;
}
.header__cell_role_help-right {
    display: flex;
    flex-flow: row nowrap;
    gap: 20px;
    align-items: center;
}
.header__cell_role_help-headline {
    display: flex;
    flex-flow: column nowrap;
    gap: 5px;
    align-items: flex-start;
}
.header__headline {
    font-family: 'PFDinTextCompPro-Thin';
    font-size: 2em;
    text-transform: uppercase;
}
.header__headline span {
    font-family: 'PFDinTextCompPro-Regular';
    color: var(--color-text-strong);
}

/*
 * Микс для location
 */
.header__location {
    margin-right: -10px;
}

@media (max-width: 1100px) {
    .header__links {
        padding: 15px 0;
    }
    .header__links_help {
        padding: 0;
    }
    .header:not(.header_help) {
        max-height: 175px;
        height: 175px;
        margin-bottom: 0;
    }
    .header:not(.header_help) .header__inner {
        max-height: 130px;
        height: 130px;
    }
    .header__link:nth-child(2) {
        display: none;
    }
}

/*
 * Навигация
 */
.header__bg, .header__float {
    margin: 0 auto;
    background-color: var(--color-content-bg);
    border-top: 5px solid var(--color-brand-bg);
}
.header__bg {
    width: 1200px;
    height: 40px;
    transition: width 0.3s ease 0s;
    position: absolute;
    left: 0;
    right: 0;
}
.header__float {
    display: flex;
    flex-flow: row nowrap;
    justify-content: stretch;
    align-items: stretch;
    width: 100%;
    height: 45px;
    position: absolute;
}
.header__navi_floating .header__bg {
    position: fixed;
    top: 0;
    z-index: 10000;
}
.header__navi_active .header__bg {
    width: 100%;
    border-bottom: 1px solid var(--color-content-separator);
}
.header__navi_floating .header__float {
    position: fixed;
    top: 0;
    z-index: 10000;
    border-top: 5px solid var(--color-brand-bg);
}
.header__float>.header__menu {
    flex-grow: 1;
}
.header__float .header__site-search {
    padding: 9px 7px;
}

/*
 * Профиль пользователя
 */
.header__user {
    background: var(--color-underlay-bg);
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-evenly;
    align-items: center;
    gap: 15px;
    min-width: 160px;
    max-width: 100%;
    height: 100%;
    padding: 10px 7px;
    position: relative;
    box-sizing: border-box;
}

/*
 * Для десктопов
 */
@media (max-width: 1200px) {
    .header__bg {
        display: none;
    }
}

@media (max-width: 1100px) {
    .header__cell_role_location,
    .header__cell_role_contact
    {
        align-self: flex-start;
        padding-top: 25px;
    }
    .header__user {
        position: absolute;
        top: -47px;
        right: 15px;
        padding: 5px 7px;
        width: 370px;
        height: auto;
        background: var(--bg-header-user);
        justify-content: flex-end;
    }
}

/*
 * Микс для меню
 */
.header__menu {
    flex-flow: row nowrap;
    align-items: stretch;
}

.footer__left {
    flex-grow: 0;
}
.footer__menu {
    flex-grow: 1;
}
.footer__right {
    flex-grow: 1;
}

.footer__headline {
    font-size: 1.1em;
    color: var(--color-text-strong);
    font-weight: bold;
    margin-top: 1em;
}
.footer__headline:first-child {
    margin-top: 0;
}

.footer__contact {
    margin-top: 15px;
}

.footer__delivery {
    display: flex;
    flex-flow: row nowrap;
    gap: 10px;
    align-items: center;
    margin-top: 10px;
}

@media (min-width: 700px) {
    .footer__top {
        background: var(--color-content-bg);;
        color: var(--color-text-default);
    }
    .footer__inner_top {
        padding: 20px 30px;
        line-height: 1.7;
    }

    .footer__contact {
        display: flex;
        flex-flow: row wrap;
        gap: 30px;
        white-space: nowrap;
    }
    .footer__contact a {
        text-decoration: none;
    }
    .footer__social {
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-around;
        align-items: center;
        gap: 10px;
    }
    .footer__menu {
        border-left: 1px solid var(--color-content-separator); 
        border-right: 1px solid var(--color-content-separator); 
        padding: 5px 40px;
        display: flex;
        flex-flow: row nowrap;
        gap: 40px;
    }
    .footer__menu-item {
        white-space: nowrap;
    }
}

@media (max-width: 1050px) {
    .footer__delivery {
        flex-wrap: wrap;
    }
}

/*
 * Заголовки
 */
.page__title {
    font-size: 2.5em;
    line-height: 1;
    font-weight: normal;
    margin-bottom: 10px;
}
.page__headline_level_1 {
    font-size: 1.8em;
    line-height: 1;
    font-weight: normal;
    margin-bottom: 10px;
}
.page__headline_level_2 {
    font-size: 1.2em;
    line-height: 1;
    font-weight: bold;
    margin-bottom: 10px;
}

.filter__bar {
    display: none;
}

.catalog__filter {
    display: none;
}

@media (min-width: 1200px) {
    .product-card__block_images {
        max-width: 477px;
        min-height: 370px;
    }
}

.basket-wizard__payment_sbp {
    display: flex;
    flex-flow: row nowrap;
    gap: 30px;
    max-width: 670px;
}
.basket-wizard__sbp-image {
    min-width: 250px;
    min-height: 250px;
}
.basket-wizard__sbp-image img {
    display: block;
}
.basket-wizard__sbp-legend {
    display: flex;
    flex-flow: column nowrap;
    gap: 30px;
}
.basket-wizard__sbp-legend p {
    font-size: 1.5em;
    color: var(--color-text-strong);
    font-weight: bold;
}
